منبع اصلی نوشتار زیر در این لینک قرار دارد

نصب و فعال سازی افزونه های gnome3 به صورت آنلاین

\"\"

سلام

کاربرانی که گنوم دارن مخصوصاً نسخه ی ۳ حتماً می دونن که افزونه هایی برای کارکرد بهتر گنوم وجود دارن که می شه نصب و استفادشون کرد ولی احتمالاً تعداد کمتری از اونها می دونن که می شه این افزونه ها رو از سات extensions.gnome.org بدون نیاز به دست به ترمینال شدن نصب، فعال یا غیر فعال کرد. البته این امکان از نسخه ی ۳.۲ گنوم بهش اصافه شده. خب لابد الان یه نگاهی بهش انداختین.

اوّلین بخش که توی سایت نظر آدم رو جلب می کنه بخش افزونه های نصب شده (installed extensions) روی سیستم هست که بلاشک افزونه هایی وجود دارن که شما از نصب اونها روی سیستم خبر نداشتین و فقط استفادشون میکردین، خب از این قسمت میتونید اونها رو فعال، غیر فعال کنید با تنظیماتشون رو تغییر بدین.

دوّمین بخش جذاب هم قسمت افزونه ها هست که می تونید افزونه های جدید رو کشف کنید. وقتی روی افزونه ای کلیک می کنید صفحه ی مختص اون باز میشه و کنار اسمش یک دکمه دو حالته (ON/OFF) ظاهر می شه. \"\"

اگر این دکمه در حالت ON بود یعنی افزونه روی سیستم شما فعال هست و اگر OFF باشه یعنی یا افزونه کلاً نصب نیست یا نصب هست و فعال نیست. در حالت اوّل با تغییر حالتش به ON پیغامی ظاهر می شه و تأییده ی دانلود و نصب افزونه رو می پرسه اگر گزینه ی نصب رو انتخاب کنید بسته به حجم افزونه بعد مدتی افزونه نصب و روی سیستم فعال می شه و می تونید اسم وتنظیمات اون (در صورت وجود) رو در صفحه افزونه های نصب شده ببینید. در حالت دوّم با تغییر وضعیت دکمه افزونه فعال و آماده استفاده می شه.

نکته ای که اینجا مطرح هست و دوستان باهاش مشکل دارن این هست که در برخی از مواقع با وجود اینکه افزونه نصب نیست ولی پیغام دانلود و نصب با تغییر وضعیت دکمه به ON ظاهر نمی شه. مشکل خاصی نیست ولی اصل این مشکل به خاطر دو چیز هست:

  1. به خاطر اینکه روش استفاده از سایت مثله یک آموزش قدم به قدم توضیح داده نشده.
  2. به خاطر اینکه متأسفانه کاربران ایرانی استفاده از رهنماهای منتشر شده رو یاد نگرفتن که البته بخشیش به خاطر مشکل آشنایی با زبان انگلیسی هست.

بگذریم من اینجا توضیح میدم. اوّل اینکه مطمئن بشین نسخه ای از گنوم که دارین استفاده می کنید ۳.۲ یا بالاتر هست. برای این کار می تونید به بسته های نصب شده روی سیستم یه نگاهی بکنید. مثلاً من برای ubuntu از دستور dpkg و grep استفاده می کنم:

wahid@gnu-mach:~$ dpkg -l | grep -i gnome-shell
ii  gnome-shell                                    3.4.1-0ubuntu2

 یا مثلاً با دستور زیر:

wahid@gnu-mach:~$ gnome-shell --version
GNOME Shell 3.4.1

اگر مشکل حل نشد مطمئن بشین که افزونه ی «GNOME Shell Integration» روی مرورگرتون نصب هست. اگر از وجود اون هم مطمئن هستید (شدین) و هنوز مشکلتون حل نشده قدم آخر این هست که تنظیمات پراکسی سیستم و مرورگرتون رو چک کنید. این دو گزینه باید مثل هم تنظیم شده باشن. پیشنهاد می کنم اگر دلیل خاصی ندارین از هر دو قسمت تنظیمات پروکسی رو غیر فعال کنید. با این کار مشکلتون حل خواهد شد ولی اگر با انجام هر سه ی این قدمها هنوز مشکل دارین و مطمئن هستید که نیازی به چک کردن دوباره تنظیمات نیست مشکلتون رو به عنوان باگ گزارش بدین تا حل بشه. :)

در آخر یه افزونه ی خوب معرفی می کنم به اسم «Persian Calendar» که کاری از امید هست.\"Persian

این افزونه محسنات زیادی از جمله شامل بود رویداد های رسمی تقویم داره. بقیه مشخصات و ویژگیهاش رو در صفحه ی افزونه ببینید.

پی نوشت: اگر به نظرات زیر افزونه توجه کنید مشکل نصب نشدن افزونه رو در میان نظرات خواهید دید. ;)



برچسب ها : , , , , , , , ,

به سیاره لینوکس امتیاز دهید

به اين صفحه امتياز دهيد